# CharacteristicInitializePackage

This function initializes everything in the Characteristic package. It is called from PetscDLLibraryRegister() when using dynamic libraries, and on the first call to CharacteristicCreate() when using static libraries.

### Synopsis

    PetscErrorCode CharacteristicInitializePackage(const char path[])

### Input Parameter

path - The dynamic library path, or PETSC_NULL

### Keywords

Characteristic, initialize, package

### See Also

PetscInitialize()

Level:developer
Location: src/contrib/semiLagrange/interface/dlregis.c
Index of all SemiLagrange routines
Table of Contents for all manual pages
Index of all manual pages